> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/ac_admin/acron_mirror.md).

# ACRON Mirror

Some plant installations require a redundancy concept for their control and data retention as a security measure. This is the only way to ensure that operations can be maintained without delay following a total failure of a system component on another system of the same type.

The ACRON Mirror software product was developed in order to meet these requirements.

ACRON Mirror enables the ACRON data on one computer to be kept identical to the ACRON data held on another. This makes it possible to implement both a backup solution and full fail-safe redundancy.

This means operations can be immediately continued on another computer if a database server fails. As soon as the failed computer is restored to operation, it updates its data from the other computer.

Synchronization takes place by checking the respective files for modifications and synchronizing them if necessary. By default, the process values are synchronized at data record level, and the configuration data at file level.

### Main computer

ACRON Mirror must be installed on each computer in the network on which the ACRON data are locally held, and must run automatically every time the computer starts up. If you are running multiple plants in redundant mode, one ACRON Mirror must be started for each plant. To do this you need to enter the plant identification as a parameter when Mirror starts up, e.g. `ACMirror.exe DEMO`.

The configuration is made in ACRON Admin in the 'Mirrors’ workspace.

Note

In plant management on the 'Options' tab you can optionally assign a [password](https://github.com/Dataforum-Software/gitbook/blob/master/acron/9.3/en/admin/ac_designer/anlage/register-optionen.md#passwort) which is then requested whenever you exit the program, to prevent it from being closed down unintentionally for example. The password is case-sensitive. The password protection is not considered when working from ACRON Admin however.

### Backup computer

For complete data synchronization, all programs necessary for data recording and logging (Provider, Database Engine, etc.) must be running on the backup computer in addition to ACRON Mirror.

Note

The Provider settings are not mirrored by ACRON Mirror and so must be entered manually on all computers. This attribute is intentional, as the Provider settings may differ depending on the process connection on the various computers (e.g. project names, paths, IP addresses, ...).

Configuration changes should only be made on one end (one plant).

If it is necessary to make changes on the other plant as well, this may only be done after synchronizing. Otherwise data loss or irreparable errors may occur.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/ac_admin/acron_mirror.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
